/* Settings – used with preprocessors and contain font, colors definitions, etc. */
@import 'settings/fonts.css';
@import 'settings/colors.css';

/* Tools – globally used mixins and functions. It’s important not to output any CSS in the first 2 layers. */

/* Functions */

/* Mixins */

/* Generic – reset and/or normalize styles, box-sizing definition, etc. This is the first layer which generates actual CSS. */
@import 'generic/box-model.css';
@import 'generic/scroll-behavior.css';
@import 'generic/typography.css';

/* Elements – styling for bare HTML elements (like H1, A, etc.). These come with default styling from the browser so we can redefine them here. */
@import 'elements/anchor.css';
@import 'elements/img.css';
@import 'elements/body.css';

/* Objects – class-based selectors which define undecorated design patterns, for example media object known from OOCSS */
@import 'objects/grid.css';
@import 'objects/media.css';
@import 'objects/pagination.css';

/* Vendor */

/* Components – specific UI components. This is where majority of our work takes place and our UI components are often composed of Objects and Components */

/* Utilities – utilities and helper classes with ability to override anything which goes before in the triangle, eg. hide helper class */
@import 'utilities/floats.css';
@import 'utilities/lists.css';
@import 'utilities/relative-height.css';
@import 'utilities/full-background.css';
@import 'utilities/text-align.css';
@import 'utilities/screen-reader.css';
@import 'utilities/text-transform.css';
@import 'utilities/display.css';
@import 'utilities/spacing.css';

/*
// =====================================
// Common
// =====================================
*/
.section {
	height: 100vh;	
	max-height: 800px;
	background-color: var(--blue);
	padding-top: 160px;

	.content {
		display: flex;
		align-items: center;
		padding-left: 100px;
		@media (max-width: 900px) {
			padding-left: 50px; 
		}

		@media (max-width: 480px) {
			flex-wrap: wrap;
			padding-left: 0;
		}
	}

	@media (max-width: 900px) {
		padding-right: 30px;
		padding-left: 30px;
	}
	@media (max-width: 480px) {
		padding-top: 120px;
		padding-right: 5px;
		padding-left: 5px;
		min-height: 100vh;
		max-height: 300vh;
		height: auto;
	}
}

/*
//=====================================
// Header
//=====================================
*/
.header {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	padding: 0 auto;
	z-index: 100;

	.container {
		padding-top: 40px;
		display: flex;
		justify-content: space-between;
		align-items: center;

		@media (max-width: 900px) {
			padding: 30px;
			max-width: 100%;
		}	
		@media (max-width: 480px) {
			padding: 20px;
			img {
				width: 60%;
			}
		}
	}
}

/*
//=====================================
// Sidebar & responsive menu
//=====================================
*/
#side-nav {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	height: 65vh;
	position: fixed;
	top: 17vh;
	left: 7%;
	z-index: 100;

	a {
		transform: rotateZ(90deg);
		display: inline-block;
		min-width: 100px;
		border-bottom: 1px solid var(--border-pink);
		text-align: center;
		padding-bottom: 20px;
		margin-top: 85px;
	    width: 129px;

		&.active {
			border-bottom: 3px solid var(--peach);
			font-weight: 700;
		}
	}
	&.white {
		a {
			color: var(--white);
			border-bottom: 1px solid var(--white);

			&.active {
				border-bottom: 3px solid var(--white);
			}
		}
	}

	@media (max-width: 480px) {
		display: none;
	}
}

@media (max-width: 480px) {
	#menu.mobile-only {
		display: flex;
		justify-content: space-between;
	}

	.expand-menu {
		width: 100%;
		height: 100%;
		position: fixed;
		top: 0;
		left: 0;
		background-color: var(--blue);
		color: var(--white);
		z-index: 1000;
		text-align: center;
		padding-top: 25px;
		background-repeat: no-repeat;
		background-image: url('../images/menu-bg-1.svg'), url('../images/menu-bg-2.svg'), url('../images/menu-bg-3.svg'), url('../images/menu-bg-4.svg');
		background-position: 20% 5%, 80% 50%, 100% 100%, 10% 90%;

		ul {
			list-style: none;
			padding: 40px 10px 10px 10px;
			width: 100%;
			text-align: left;
			letter-spacing: 1px;

			li {
				margin-bottom: 50px;
			}
		}

		a.btn.btn-secondary {
			width: 80%;
		}

		a.burger-icon-close {
			float: right;
			margin-right: 13px;
		}
	}
}

/*
//=====================================
// Hero Section
//=====================================
*/
.section#hero {
	color: var(--white);
	background-image: url('../images/hero-bg-4.png'), url('../images/hero-bg-3.png'), url('../images/hero-bg-2.png');
	background-repeat: no-repeat;
	background-position: bottom left, 50% 80%, 30% 20%;
	@media (max-width: 480px) {
		background-image: url('../images/hero-bg-4.png');
		background-position: -130% bottom;
	}

	.content {
		justify-content: flex-start;
		padding-left: 0;

		h1 {
			font-size: 45px;
			@media (max-width: 480px) {
				font-size: 21px;
			}
		}
		p {
			font-size: 30px;
			margin-top: 10px;
		}

		.left {
			width: 73%;
			margin-right: -80px;
			z-index: 10;
			@media (max-width: 480px) {
				width: 100%;
			}
		}
		.right {
			img {
				max-width: 297px;
			}
			@media (max-width: 480px) {
				width: 100%;
				margin-top: 20px;
			}
		}
		@media (max-width: 900px) {
			h2 {
				font-size: 35px;
			}
			p {
				font-size: 20px;
			}
			a.btn {
				margin: 20px 0;
				min-width: 302px;
				text-align: center;
			}
		}
		@media (max-width: 480px) {
			text-align: center;
			h1, 
			h2,
			p {
				text-align: left;
			}
			h2 {
				font-size: 31px;
				letter-spacing: 2.6px;
			}
			p {
				font-size: 14px;
			}
			a.btn {
				margin: 10px 0;
			}
		}
	}

	.float-img {
		position: absolute;
		top: 70vh;
		right: 10vw;
		@media (max-width: 480px) {
			top: 90%;
			right: 2%;
			width: 30%;
		}
	}
}

/*
//=====================================
// About Section
//=====================================
*/
.section#about {
	background-color: var(--white);
	background-repeat: no-repeat;
	background-image: url('../images/about-bg-1.png'), url('../images/about-bg-2.png'), url('../images/about-bg-3.png'), url('../images/about-bg-4.png');
	background-position: 20% 24%, 65% 40%, 72% 84%, 100% 50%;
	@media (max-width: 480px) {
		background-position: 20% 20%,59% 21%,21% 93%,100% 15%;
		background-size: auto,auto,auto,25%;
	}

	.content {
		min-height: 500px;
		
		.right {
			width: 60%;
			margin-left: 180px;

			.about {
				margin-left: 145px;
				@media (max-width: 768px) {
					margin-left: 45px;
				}
			}
			@media (max-width: 480px) {
				width: 100%;
				margin: 0;
			}
		}

		h1 {
			font-size: 65px;
			line-height: 0.8;
		}

		h2 {
			color: var(--blue);
			position: relative;
			z-index: 10;
			&::after{
				content: '';
				background-image: url('../images/about-bg-5.png');
				background-size: contain;
				background-repeat: no-repeat;
				position: absolute;
				left: -59px;
				top: -30px;
				width: 114px;
				height: 162px;
				z-index: -1;

				@media (max-width: 480px) {
					width: 76px;
					height: 108px;
					left: -47px;
				}
			}
		}
		@media (max-width: 480px) {
			h1,
			h2 {
				font-size: 32px;
				letter-spacing: 2.2px;
				margin-left: 30px;
			}

			h2 {
				margin-bottom: 30px;
			}
		}
	}

	.float-img {
		position: absolute;
		top: 190vh;
		right: 40vw;

		@media (max-width: 480px) {
			top: 248%;
			right: 12%;
			img {
				width: 60%;
			}
		}
	}
}

/*
//=====================================
// Why Attend Section
//=====================================
*/
.section#why {
	background-color: var(--purple);
	color: var(--white);
	background-repeat: no-repeat;
	background-image: url('../images/why-bg-1.png'), url('../images/why-bg-2.png'), url('../images/why-bg-3.png'), url('../images/why-bg-4.png');
	background-position: 10% 0, 40% 10%, 86% 91%, 100% 50%;
	@media (max-width: 480px) {
		background-position: 10% 0, 40% 10%, 86% 76%, 100% 50%;
		background-size: auto, 0, auto, 20%;
	}

	.content {
		h1 {
			font-size: 60px;
			line-height: 0.8;
			@media (max-width: 900px) {
				font-size: 30px;
			}
		}

		@media (max-width: 900px) {
			h2 {
				font-size: 30px;
			}
		}

		h3 {
			font-size: 21px;
			margin-top: 15px;
		}
		@media (max-width: 480px) {
			padding-bottom: 40px;
			h1,
			h2 {
				font-size: 32px;
				letter-spacing: 2.2px;
				margin: 5px 0;
			}
			h3 {
				font-size: 18px;
				margin: 0;
			}
			p {
				margin: 0;
			}
		}

		.right {
			width: 100%;
			display: flex;
			flex-wrap: wrap;
			justify-content: space-around;
			align-items: center;
			.div {
				width: 40%;
				margin: 20px 0;
				@media (max-width: 480px) {
					width: 100%;
					img {
						width: 30px;
					}
				}
			}
		}
	}

	.float-img {
		position: absolute;
		top: 290vh;
		right: 60vw;
		@media (max-width: 480px) {
			top: 383%;
			img {
				width: 60%;
			}
		}
	}
}

/*
//=====================================
// Speakers Section
//=====================================
*/
.section#speakers {
	background-color: var(--peach);
	color: var(--white);
	background-repeat: no-repeat;
	background-image: url('../images/speakers-bg-1.png'), url('../images/speakers-bg-2.png'), url('../images/speakers-bg-3.png'), url('../images/speakers-bg-4.png');
	background-position: 35% 10%, 10% 100%, 46% 91%, 90% 53%;
	@media (max-width: 480px) {
		padding-bottom: 30px;
		background-position: 85% 92%,90% 100%,86% 51%,110% 16%;
	}

	.right {
		margin-left: 20px;
		display: flex;
		justify-content: space-between;
		align-items: center;
		flex-wrap: wrap;
		width: 100%;

		@media (max-width: 480px) {
			margin: 0;
		}

		.title {
			width: 30%;
			h1 {
				font-size: 55px;
				line-height: 1;
			}
			@media (max-width: 900px) {
				width: 100%;
			}
			@media (max-width: 480px) {
				width: 100%;

				h1, 
				h2{
					font-size: 32px;
					letter-spacing: 2.2px;
				}
			}
		}
		.list {
			width: 65%;
			ul {
				margin: 0;
				padding: 0;
				list-style: none;
				display: flex;
				flex-wrap: wrap;
				justify-content: space-around;
				width: 100%;
				li.card {
					width: 25%;
					margin: 0;
					position: relative;
					.info {
						position: absolute;
						bottom: 10px;
						left: 0;
						padding: 0 10px 0 14px;

						img {
							width: 100%;
							height: auto;
						}

						.name {
							font-weight: 700;
							font-size: 21px;
						}
					}
					@media (max-width: 480px) {
						width: 50%;
					}
				}
			}
			@media (max-width: 900px) {
				width: 100%;
			}
			@media (max-width: 480px) {
				margin-bottom: 20px;
			}
		}
		a.arrow {
			text-transform: uppercase;
			letter-spacing: 5px;
			position: relative;
			text-align: center;
			margin-top: 30px;
			&::after{
				position: absolute;
				top: 25px;
				left: 0;
				background-image: url('../images/arrow.svg');
				content: '';
				width: 280px;
				height: 10px;
				background-repeat: no-repeat;
			}
			@media (max-width: 900px) {
				margin-bottom: 40px;
			}
		}
	}
}

/*
//=====================================
// Speakers Section
//=====================================
*/
.section#agenda {
	color: var(--white);
	text-align: center;
	background-repeat: no-repeat;
	background-image: url('../images/agenda-bg-1.png'), url('../images/agenda-bg-3.png');
	background-position: 15% 0, 100% 90%;
	@media (max-width: 480px) {
		background-position: -120px 0%, 100% 100%;
		background-size: auto, 10%;
	}

	.agenda {
		padding: 10px 50px;
		@media (max-width: 480px) {
			padding: 0;
		}
	}

	h1, 
	h2 {
		font-size: 65px;
		line-height: 1;
		display: inline;
		@media (max-width: 480px) {
			font-size: 32px;
			display: block;
		}

	}

	h2 {
		position: relative;
		z-index: 10;
		&::after {
			content:'';
			position: absolute;
			top: 42%;
			right: -8%;
			width: 50px;
			height: 50px;
			background-image: url('../images/agenda-title-bg.svg');
			background-repeat: no-repeat;
			background-size: cover;
			z-index: -1;

			@media (max-width: 480px) {
				top: 20%;
				right: 24%;
				width: 30px;
				height: 30px;
			}
		}
	}

	table {
		text-align: left;
		width: 100%;
		margin: 20px 30px 0 30px;

		tbody {
			tr {
				td {
					&.datetime {
						padding: 5px;
						width: 15%;
						padding: 0 0 10px;
					}

					&.speakers{
						padding: 5px;
						width: 25%;
						padding-left: 10px;

						.speaker {
							font-weight: 700;
							font-size: 18px;
							line-height: 1.2;
							margin-bottom: 0;
						}
					}

					&.info {
						padding: 5px;
						width: 55%;
						padding: 15px;
					}

					.day {
						-webkit-text-stroke-width: 1px;
						color: transparent;
						-webkit-text-stroke-color: var(--white);
					}
					.day,
					.date {
						display: inline;
						font-size: 21px;
					}
					.title {
						font-weight: 700;
						font-size: 18px;
						line-height: 1.2;
						margin-bottom: 10px;
					}
				}
			}
		}
	}

	table {
	  border-collapse: collapse;
	}
	table td {
	  border: 1px solid var(--white); 
	}
	table tr:first-child td {
	  border-top: 0;
	}
	table tr td:first-child {
	  border-left: 0;
	}
	table tr:last-child td {
	  border-bottom: 0;
	}
	table tr td:last-child {
	  border-right: 0;
	}

	/* Responsive agenda */
	@media (max-width: 480px) {
		ul.agenda-list {
			list-style: none;
			text-align: left;
			margin: 0;
			padding: 0;

			li.item {
				position: relative;
				border-bottom: 1px solid var(--white);
				padding: 25px 0;
				.icon-collapse {
					position: absolute;
					right: 0;
					top: 25px;
					cursor: pointer;
					&.flipped {
						transform: rotateZ(180deg);
					}
				}
				.datetime {
					.day,
					.date,
					.time {
						display: inline;
					}
				}

				.info {
					.title {
						font-weight: 700;
						font-size: 18px;
					}
				}
				.speakers {
					margin-top: 20px;
					font-size: 14px;
					.speaker {
						font-size: 18px;
						font-weight: 700;
					}
				}
			}
		}
	}
}

/*
//=====================================
// Footer
//=====================================
*/
.footer {
	display: flex;
	justify-content: space-between;
	align-items: center;
	background-color: #03008F;
	color: var(--white);
	width: 100%;
	padding: 10px 30px;

	.col{
		width: 33.3%;
	}

	@media (max-width: 480px) {
		flex-wrap: wrap;

		.col {
			text-align: center;
			width: 100%;
			margin: 10px 0;
		}
	}
}


